<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
		<form-bean
				name="w83bFormListadoRelacionBajas"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoDelegadosActas"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
		<form-bean
				name="w83bFormListadoDelegadosIncompletos"
				type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
				<form-property name="boton"	type="java.lang.String"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
		</form-bean>
<!--	CONTEXTOS-->
		<form-bean	name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">
				<form-property name="inyectarUsuarioEnBean" type="java.lang.String" initial="w83bFormListadoRelacionBajas[w83bListadosBean],w83bFormListadoDelegadosActas[w83bListadosBean],w83bFormListadoDelegadosIncompletos[w83bListadosBean]"/>
				<form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.menu.informes"/>				   
				<form-property name="strTitleKey" type="java.lang.String" initial="comun.herramientas.listados"/>
				<form-property name="boton" type="java.lang.String"/>
				<form-property name="migas" type="java.lang.String" initial="inicio.informes.listados"/>
				<form-property name="w83bListadosBean" type="w83b.w83bBeans.W83bListadosBean"/>
				<form-property name="w83bResultadoListadosBean" type="java.util.List"/>
				<form-property name="w83bResultado" type="java.lang.String"/>
		</form-bean>
	</form-beans>
<!--	ACTIONS-->
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		<action path ="/w83bInicioListadoDelegados" forward="/w83bPaginaInicioListadoDelegadosMedio.do"/>
		<action path ="/w83bInicioListadoDelegadosFinal" forward="paginaInicioListadoDelegados"/>
		<action path ="/w83bListadoRelacionBajas" forward="/w83bPaginaListadoRelacionBajasMedio.do"/>
		<action path ="/w83bPaginaListadoRelacionBajas" forward="paginaListadoRelacionBajas"/>
		<action path ="/w83bListadoDelegadosActas" forward="/w83bPaginaListadoDelegadosActasMedio.do"/>
		<action path ="/w83bPaginaListadoDelegadosActas" forward="paginaListadoDelegadosActas"/>
		<action path ="/w83bListadoDelegadosIncompletos" forward="/w83bPaginaListadoDelegadosIncompletosMedio.do"/>
		<action path ="/w83bPaginaListadoDelegadosIncompletos" forward="paginaListadoDelegadosIncompletos"/>
		
<!--	DISPATCHES-->
		<action
				path="/w83bDispatchListRelacionBajas"
				name="w83bFormListadoRelacionBajas"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoDelegados.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelRelacionBajas.do"/>
		</action>
		<action
				path="/w83bDispatchListDelegadosActas"
				name="w83bFormListadoDelegadosActas"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoDelegados.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelDelegadosActas.do"/>
		</action>
		<action
				path="/w83bDispatchListDelegadosIncompletos"
				name="w83bFormListadoDelegadosIncompletos"
				scope="request"
				validate="false" 
				parameter="boton"
				i18nKey="w83bcomun"
				type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
				<forward
					name="comun.boton.atras"
					path="/w83bInicioListadoDelegados.do"/>
				<forward
					name="excel"
					path="/w83bCrearExcelDelegadosIncompletos.do"/>
		</action>
		
		
		<!-- Operaciones de Paso -->
		
		<action path="/w83bPaginaInicioListadoDelegadosMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bTablaInicioListadoDelegadosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bInicioListadoDelegadosFinal.do"/>
			<forward name="error" path="/w83bInicioListadoDelegados.do"/>
		</action>
		<action path="/w83bPaginaListadoRelacionBajasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bTablaInicioListadoRelacionBajasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoRelacionBajas.do"/>
			<forward name="error" path="/w83bListadoRelacionBajas.do"/>
		</action>
		<action path="/w83bBusqRelacionBajasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bBusqRelacionBajasOPAction" 
			 validate="true">
			<forward name="ok" path="/w83bBusqRelacionBajas.do"/>
			<forward name="error" path="/w83bListadoRelacionBajas.do"/>
		</action>
		<action path="/w83bBusqRelacionBajasOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bActas.W83bBusqLibroRegActasOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bPaginaListadoDelegadosActasMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bTablaInicioListadoDelegadosActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoDelegadosActas.do"/>
			<forward name="error" path="/w83bListadoDelegadosActas.do"/>
		</action>
		<action path="/w83bBusqDelegadosActasOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bBusqDelegadosActasOPAction" 
			 validate="true">
			<forward name="ok" path="/w83bBusqDelegadosActas.do"/>
			<forward name="error" path="/w83bListadoDelegadosActas.do"/>
		</action>
		<action path="/w83bBusqDelegadosActasOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bBusqDelegadosActasOutOPAction" 
			 validate="false">
		</action>
		
		<action path="/w83bPaginaListadoDelegadosIncompletosMedio" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bTablaInicioListadoDelegadosIncompletosOPAction" 
			 validate="false">
			<forward name="ok" path="/w83bPaginaListadoDelegadosIncompletos.do"/>
			<forward name="error" path="/w83bListadoDelegadosIncompletos.do"/>
		</action>
		<action path="/w83bBusqDelegadosIncompletosOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bBusqDelegadosActasOPAction" 
			 validate="true">
			<forward name="ok" path="/w83bBusqDelegadosIncompletos.do"/>
			<forward name="error" path="/w83bListadoDelegadosIncompletos.do"/>
		</action>
		<action path="/w83bBusqDelegadosIncompletosOutOP" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bBusqDelegadosIncompletosOutOPAction" 
			 validate="false">
		</action>
		
		
						
		<action path="/w83bCrearExcelRelacionBajas" 
			name="w83bFormListadoRelacionBajas" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bTablaLibroRelacionBajasExcelAction" 
			 validate="false">
		</action>
		<action path="/w83bCrearExcelDelegadosActas" 
			name="w83bFormListadoDelegadosActas" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bTablaLibroDelegadosActasExcelAction" 
			 validate="false">
		</action>	
		<action path="/w83bCrearExcelDelegadosIncompletos" 
			name="w83bFormListadoDelegadosIncompletos" scope="request" type="w83b.w83bOperacionesPaso.w83bListados.w83bDelegados.W83bTablaLibroDelegadosIncompletosExcelAction" 
			 validate="false">
		</action>
		
		<action path="/w83bIrPaginaBienvenida" 
		type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionRedirectOP"
		    parameter="$$$WEBROOT_W83B$$$/comunJSP/w83bPaginaBienvenida.do">
		</action>
		<!-- Fin Operaciones de Paso -->
		<!-- Operaciones Internas -->
		<action path ="/w83bBusqRelacionBajas" 
			 parameter="w83bBusqRelacionBajasOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqRelacionBajasOutOP.do" />
					<forward name="error" path="/w83bPaginaListadoRelacionBajas.do" />
		</action>
		<action path ="/w83bBusqDelegadosActas" 
			 parameter="w83bBusqDelegadosActasOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqDelegadosActasOutOP.do" />
					<forward name="error" path="/w83bPaginaListadoDelegadosActas.do" />
		</action>
		<action path ="/w83bBusqDelegadosIncompletos" 
			 parameter="w83bBusqDelegadosIncompletosOI" 
			 validate="false"
			 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
			 scope="request">
					<forward name="ok" path="/w83bBusqDelegadosIncompletosOutOP.do" />
					<forward name="error" path="/w83bPaginaListadoDelegadosIncompletos.do" />
		</action>
		
		
		
		<!-- Fin Operaciones Internas -->

		<!-- SUB-OPERACIONES -->
		
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	
	<!-- Validaciones Genericas -->
	<plug-in className="es.ejie.frmk.presentacion.validacion.Q70ValidacionesGenericasPlugIn">
		<set-property property="pathnames" value="/WEB-INF/validators-config/validator-rules-w83b.xml,
											/WEB-INF/validators-config/informes/validation-informes.xml"/>
	    <set-property property="i18nKey" value="w83bcomun" />
	</plug-in>

	<!-- Menus -->	
</struts-config>